Gallery Platform API
Reference

Get the gallery's invoice settings

Returns the gallery's invoice presentation settings (rich-text blocks). Falls back to empty defaults when unset.

GET
/gallery/invoice-settings

Returns the gallery's invoice presentation settings (rich-text blocks). Falls back to empty defaults when unset.

Authorization

bearerAuth gallery:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: gallery:read

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "header_markdown": "string",  "footer_markdown": "string",  "terms_markdown": "string",  "payment_instructions_markdown": "string",  "default_caption": "string",  "updated_at": "string"}